Loading...
Searching...
No Matches
BALL::GRAPH::GraphTraits< Graph > Class Template Reference

`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

## Public Types

typedef boost::graph_traits< Graph >::vertex_descriptor | VertexType
typedef boost::graph_traits< Graph >::vertex_iterator | VertexIterator
typedef boost::graph_traits< Graph >::adjacency_iterator | NeighbourIterator
typedef boost::graph_traits< Graph >::edge_descriptor | EdgeType
typedef boost::adjacency_list< boost::listS, boost::listS, boost::undirectedS, boost::property< boost::vertex_orig_ptr_t, VertexType, boost::property< boost::vertex_index_t, int > >, boost::property< boost::edge_orig_ptr_t, EdgeType > > | EditableGraph

## Detailed Description

template<class Graph>
class BALL::GRAPH::GraphTraits< Graph >

This class combines a number of type definitions that depend on the graph type

Definition at line 74 of file graphAlgorithms.h.

## Member Typedef Documentation

## EdgeType

template<class Graph>

typedef boost::graph_traits<Graph>::edge_descriptor BALL::GRAPH::GraphTraits< Graph >::EdgeType

Definition at line 80 of file graphAlgorithms.h.

## EditableGraph

template<class Graph>

typedef boost::adjacency_list<boost::listS, boost::listS, boost::undirectedS, boost::property<boost::vertex_orig_ptr_t, VertexType, boost::property<boost::vertex_index_t, int> >, boost::property<boost::edge_orig_ptr_t, EdgeType> > BALL::GRAPH::GraphTraits< Graph >::EditableGraph

Definition at line 88 of file graphAlgorithms.h.

## NeighbourIterator

template<class Graph>

typedef boost::graph_traits<Graph>::adjacency_iterator BALL::GRAPH::GraphTraits< Graph >::NeighbourIterator

Definition at line 79 of file graphAlgorithms.h.

## VertexIterator

template<class Graph>

typedef boost::graph_traits<Graph>::vertex_iterator BALL::GRAPH::GraphTraits< Graph >::VertexIterator

Definition at line 78 of file graphAlgorithms.h.

## VertexType

template<class Graph>

typedef boost::graph_traits<Graph>::vertex_descriptor BALL::GRAPH::GraphTraits< Graph >::VertexType

Definition at line 77 of file graphAlgorithms.h.